Changes between Version 30 and Version 31 of java


Ignore:
Timestamp:
Nov 13, 2016, 2:21:17 PM (3 years ago)
Author:
zzz
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • java

    v30 v31  
    44
    55|| '''JRE/SDK''' || '''Works''' || '''Compiles''' || '''Performance''' ||
    6 || Oracle/Sun 5 || no || no || I2P 0.9.12 and newer requires Java 1.6 or newer
    7 || Oracle/Sun 6 || yes || yes || good
     6|| Oracle/Sun 5 || no || no || I2P 0.9.12 and newer require Java 1.6 or newer
     7|| Oracle/Sun 6 || no || no || I2P 0.9.24 and newer require Java 1.7 or newer
    88|| Oracle/Sun 7 || yes || yes || good
     9|| Oracle/Sun 8 || yes || yes || good
     10|| Oracle/Sun 9 || some issues || some issues || good; See ticket #1870 for status of several issues
    911|| GCJ (compiled to C)|| no || no || very poor
    1012|| GCJ-JRE (gij-4.4)|| no || I2P 0.9.12 and newer requires Java 1.6 or newer
    1113|| Iced Tea 5 || no ||no || I2P 0.9.12 and newer requires Java 1.6 or newer
    12 || Iced Tea 6 || yes || yes (no on PPC "1.6.0_18" OpenJDK Runtime Environment (IcedTea6 1.8) - missing Pack200 - see http://forum.i2p/viewtopic.php?t=4655 ) - see note below || good
     14|| Iced Tea 6 || no || no || I2P 0.9.24 and newer require Java 1.7 or newer
    1315|| Iced Tea 7 || yes || yes || good
    14 || Open JDK 5 || no || no ||  I2P 0.9.12 and newer requires Java 1.6 or newer
    15 || Open JDK 6 || yes || yes || good, except on ARM systems such as the Raspberry Pi. Use Oracle Java 7 or 8 on these platforms.
     16|| Iced Tea 8 || yes || yes || good
     17|| Open JDK 5 || no || no || I2P 0.9.12 and newer require Java 1.6 or newer
     18|| Open JDK 6 || no || no || I2P 0.9.24 and newer require Java 1.7 or newer.
    1619|| Open JDK 7 || yes || yes || good, except on ARM systems such as the Raspberry Pi. Use Oracle Java 7 or 8 on these platforms.
    1720|| Open JDK 8 || yes || yes || good, except on ARM systems such as the Raspberry Pi. Use Oracle Java 7 or 8 on these platforms.
     21|| Open JDK 9 || some issues || some issues || good; See ticket #1870 for status of several issues
    1822|| IBM || Reportedly does not http://zzz.i2p/topics/577 || ||
    19 || Android || yes || yes (core and router) || poor/OK depending on hardware; 512 MB RAM recommended
    20 || Oracle/BEA JRockit 1.6 || yes || yes || good
    21 || Apache Harmony 5 || no - bug in Deflater fixed with workaround in 0.7.12-15; reports huge clock skews in UDP Transport; works with TCP only? || || slow
    22 || Apache Harmony 6 || || ||
    23 || JamVM 1.5.3 || yes || n/a || poor
     23|| Android || yes || yes (core and other subsystems) || poor/OK depending on hardware; 512 MB RAM recommended
     24|| Oracle/BEA JRockit 1.6 || no || no || I2P 0.9.24 and newer require Java 1.7 or newer
     25|| Apache Harmony 5 || no - bug in Deflater fixed with workaround in 0.7.12-15; reports huge clock skews in UDP Transport; works with TCP only? || || I2P 0.9.24 and newer require Java 1.7 or newer
     26|| Apache Harmony 6 || || || I2P 0.9.24 and newer require Java 1.7 or newer
     27|| JamVM 1.5.3 || no || n/a || I2P 0.9.24 and newer require Java 1.7 or newer
    2428|| CacaoVM/openjdk6 || wrapper hangs at jvm launch || yes || fail
     29|| IKVM || yes on Windows, no on Linux || ?? || good See tickets #1021 and #1655
    2530
    2631